Bug 126513 - boot fails with a large number of volume groups
boot fails with a large number of volume groups
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-06-22 14:09 EDT by Orion Poplawski
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-02 18:12:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2004-06-22 14:09:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
We have a system with a large number of volume groups, including a
root volume group:

# ls -l /etc/lvmtab.d
total 11168
-rw-r-----  1 root root  177372 Jun 21 18:05 rootvg
-rw-r-----  1 root root  385880 Jun 21 18:05 vg_adelie
-rw-r-----  1 root root 1339440 Jun 21 18:05 vg_biff
-rw-r-----  1 root root 1339440 Jun 21 18:05 vg_clouds
-rw-r-----  1 root root 4727796 Jun 21 18:23 vg_ocean
-rw-r-----  1 root root  719724 Jun 21 18:05 vg_radar
-rw-r-----  1 root root 1339720 Jun 21 18:05 vg_soldyn
-rw-r-----  1 root root 1339740 Jun 21 18:05 vg_waves

The initrd image that mkinitrd creates fails at boot doing a vgscan
with the following errors, presumably because the ramdisk runs out of

(null) -- ERROR 2 writing volume group backup file
/etc/lvmtab.d/rootg.tmp in vg_cfgbackup.c [line 273]
vgscan -- ERROR: unable to do a backup of volume group "rootvg"
vgscan -- ERROR "lvm_tab_vg_remove(): unlink" removing volume group
"rootvg" from "/etc/lvmtab"

Perhaps an attempt could be made in mkinitrd to determine the name of
the root volume group and only activate that, i.e.:

vgscan rootvg
vgchange -ay rootvg

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Install a system with a root volume group
2.  Create a large number of volume groups
3.  Install a new kernel or make a new initrd with mkinitrd

Additional info:
Comment 1 Jeremy Katz 2004-08-02 18:12:38 EDT
This should be better with mkinitrd 4.x which is creating an initramfs
instead of an initrd.

Note You need to log in before you can comment on or make changes to this bug.